﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

namespace SMTPServer
{
    public class MTACommandsDict : Dictionary<MTACommands, String>
    {
        public MTACommandsDict()
        {
            Add(MTACommands.HELO, "HELO");
            Add(MTACommands.DATA, "DATA");
            Add(MTACommands.EXPN, "EXPN");
            Add(MTACommands.HELP, "HELP");
            Add(MTACommands.MAIL_FROM, "MAIL FROM");
            Add(MTACommands.NOOP, "NOOP");
            Add(MTACommands.QUIT, "QUIT");
            Add(MTACommands.RCPT_TO, "RCPT TO");
            Add(MTACommands.RSET, "RSET");
            Add(MTACommands.SAML_FROM, "SAML FROM");
            Add(MTACommands.SEND_FROM, "SEND FROM");
            Add(MTACommands.SOML_FROM, "SOML FROM");
            Add(MTACommands.TURN, "TURN");
            Add(MTACommands.VERB, "VERB");
            Add(MTACommands.VRFY, "VRFY");
        }
    }

    public enum MTACommands
    {
        HELO,
        MAIL_FROM,
        RCPT_TO,
        DATA,
        RSET,
        QUIT,
        HELP,
        VRFY,
        EXPN,
        VERB,
        NOOP,
        TURN,
        SEND_FROM,
        SOML_FROM,
        SAML_FROM
    }
}