﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using SMTPServer.Exceptions;
using System.Net;

namespace SMTPServer
{
    class MailTransferAgent
    {
        static MTACommandsDict _MTACommandsDict = new MTACommandsDict();
        static Thread _Thread;

        public static void StartMailTransferAgent()
        {
            _Thread = new Thread(new ThreadStart(MTAAsync));
            _Thread.Start();
        }

        public static async void MTAAsync()
        {
            while (true)
            {
                try
                {
                    var mail = MailQueue.GetNextMail();
                }
                catch (NoMailsInQueueException)
                {
                    Thread.Sleep(100);
                    continue;
                }

                var charset = Encoding.UTF8;

                var dnsname = await GetDNSNameAsync("");
                var client = new StartTcpConnection(25, new IPAddress(GetIpFromDNS(dnsname)), charset);

                if (!client.Connected) ; //ToDo Errorfall
            }
        }

        public static async System.Threading.Tasks.Task<string> GetDNSNameAsync(string mailTo)
        {
            var parts = mailTo.Split('@');
            var domain = parts[1];

            var dns = await System.Net.Dns.GetHostEntryAsync(domain);
            //dns.

            return null;
        }

        public static byte[] GetIpFromDNS(string dnsname)
        {

            return null;
        }
    }
}
